Package com.orchestranetworks.dataservices.rest

# Interface Constants.Constraint

Enclosing interface:
  Constants

public static interface Constants.Constraint
Constraint keys and values.

Since:
  6.0.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_BLOCKS_COMMIT`
  `static final String`
  `KEY_CONTENT`
  `static final String`
  `KEY_EXCLUDE_SEGMENT_MAX`
  `static final String`
  `KEY_EXCLUDE_SEGMENT_MIN`
  `static final String`
  `KEY_LEVEL`
  `static final String`
  `KEY_MESSAGE`
  `static final String`
  `KEY_TYPE`
  `static final String`
  `VALUE_BOUNDARY_MAX_EXCLUSIVE_DYNAMIC`
  `static final String`
  `VALUE_BOUNDARY_MAX_EXCLUSIVE_STATIC`
  `static final String`
  `VALUE_BOUNDARY_MAX_INCLUSIVE_DYNAMIC`
  `static final String`
  `VALUE_BOUNDARY_MAX_INCLUSIVE_STATIC`
  `static final String`
  `VALUE_BOUNDARY_MIN_EXCLUSIVE_DYNAMIC`
  `static final String`
  `VALUE_BOUNDARY_MIN_EXCLUSIVE_STATIC`
  `static final String`
  `VALUE_BOUNDARY_MIN_INCLUSIVE_DYNAMIC`
  `static final String`
  `VALUE_BOUNDARY_MIN_INCLUSIVE_STATIC`
  `static final String`
  `VALUE_EXCLUDE_SEGMENT`
  `static final String`
  `VALUE_EXCLUDE_VALUE`
  `static final String`
  `VALUE_FIXED_LENGTH_DYNAMIC`
  `static final String`
  `VALUE_FIXED_LENGTH_STATIC`
  `static final String`
  `VALUE_FRACTION_DIGITS`
  `static final String`
  `VALUE_MANDATORY`
  `static final String`
  `VALUE_MAX_LENGTH_DYNAMIC`
  `static final String`
  `VALUE_MAX_LENGTH_STATIC`
  `static final String`
  `VALUE_MIN_LENGTH_DYNAMIC`
  `static final String`
  `VALUE_MIN_LENGTH_STATIC`
  `static final String`
  `VALUE_PATTERN`
  `static final String`
  `VALUE_TOTAL_DIGITS`

- ## Field Details

  - ### KEY_TYPE

    static final String KEY_TYPE
    See Also:
      - `type` extended JSON property
      - Constant Field Values

  - ### KEY_LEVEL

    static final String KEY_LEVEL
    See Also:
      - `level` extended JSON property
      - Constant Field Values

  - ### KEY_CONTENT

    static final String KEY_CONTENT
    See Also:
      - `content` extended JSON property
      - Constant Field Values

  - ### KEY_MESSAGE

    static final String KEY_MESSAGE
    See Also:
      - `message` extended JSON property
      - Constant Field Values

  - ### KEY_BLOCKS_COMMIT

    static final String KEY_BLOCKS_COMMIT
    See Also:
      - `blocksCommit` extended JSON property
      - Constant Field Values

  - ### VALUE_BOUNDARY_MAX_EXCLUSIVE_DYNAMIC

    static final String VALUE_BOUNDARY_MAX_EXCLUSIVE_DYNAMIC
    See Also:
      - `boundaryMaxExclusiveDynamic` extended JSON value
      - Constant Field Values

  - ### VALUE_BOUNDARY_MAX_EXCLUSIVE_STATIC

    static final String VALUE_BOUNDARY_MAX_EXCLUSIVE_STATIC
    See Also:
      - `boundaryMaxExclusiveStatic` extended JSON value
      - Constant Field Values

  - ### VALUE_BOUNDARY_MAX_INCLUSIVE_DYNAMIC

    static final String VALUE_BOUNDARY_MAX_INCLUSIVE_DYNAMIC
    See Also:
      - `boundaryMaxInclusiveDynamic` extended JSON value
      - Constant Field Values

  - ### VALUE_BOUNDARY_MAX_INCLUSIVE_STATIC

    static final String VALUE_BOUNDARY_MAX_INCLUSIVE_STATIC
    See Also:
      - `boundaryMaxInclusiveStatic` extended JSON value
      - Constant Field Values

  - ### VALUE_BOUNDARY_MIN_EXCLUSIVE_DYNAMIC

    static final String VALUE_BOUNDARY_MIN_EXCLUSIVE_DYNAMIC
    See Also:
      - `boundaryMinExclusiveDynamic` extended JSON value
      - Constant Field Values

  - ### VALUE_BOUNDARY_MIN_EXCLUSIVE_STATIC

    static final String VALUE_BOUNDARY_MIN_EXCLUSIVE_STATIC
    See Also:
      - `boundaryMinExclusiveStatic` extended JSON value
      - Constant Field Values

  - ### VALUE_BOUNDARY_MIN_INCLUSIVE_DYNAMIC

    static final String VALUE_BOUNDARY_MIN_INCLUSIVE_DYNAMIC
    See Also:
      - `boundaryMinInclusiveDynamic` extended JSON value
      - Constant Field Values

  - ### VALUE_BOUNDARY_MIN_INCLUSIVE_STATIC

    static final String VALUE_BOUNDARY_MIN_INCLUSIVE_STATIC
    See Also:
      - `boundaryMinInclusiveStatic` extended JSON value
      - Constant Field Values

  - ### VALUE_EXCLUDE_SEGMENT

    static final String VALUE_EXCLUDE_SEGMENT
    See Also:
      - `excludeSegment` extended JSON value
      - Constant Field Values

  - ### KEY_EXCLUDE_SEGMENT_MIN

    static final String KEY_EXCLUDE_SEGMENT_MIN
    See Also:
      - `min` extended JSON property
      - Constant Field Values

  - ### KEY_EXCLUDE_SEGMENT_MAX

    static final String KEY_EXCLUDE_SEGMENT_MAX
    See Also:
      - `max` extended JSON property
      - Constant Field Values

  - ### VALUE_EXCLUDE_VALUE

    static final String VALUE_EXCLUDE_VALUE
    See Also:
      - `excludeValue` extended JSON value
      - Constant Field Values

  - ### VALUE_FIXED_LENGTH_DYNAMIC

    static final String VALUE_FIXED_LENGTH_DYNAMIC
    See Also:
      - `fixedLengthDynamic` extended JSON value
      - Constant Field Values

  - ### VALUE_FIXED_LENGTH_STATIC

    static final String VALUE_FIXED_LENGTH_STATIC
    See Also:
      - `fixedLengthStatic` extended JSON value
      - Constant Field Values

  - ### VALUE_FRACTION_DIGITS

    static final String VALUE_FRACTION_DIGITS
    See Also:
      - `fractionDigits` extended JSON value
      - Constant Field Values

  - ### VALUE_MANDATORY

    static final String VALUE_MANDATORY
    See Also:
      - `mandatory` extended JSON value
      - Constant Field Values

  - ### VALUE_MAX_LENGTH_DYNAMIC

    static final String VALUE_MAX_LENGTH_DYNAMIC
    See Also:
      - `maxLengthDynamic` extended JSON value
      - Constant Field Values

  - ### VALUE_MAX_LENGTH_STATIC

    static final String VALUE_MAX_LENGTH_STATIC
    See Also:
      - `maxLengthStatic` extended JSON value
      - Constant Field Values

  - ### VALUE_MIN_LENGTH_STATIC

    static final String VALUE_MIN_LENGTH_STATIC
    See Also:
      - `minLengthStatic` extended JSON value
      - Constant Field Values

  - ### VALUE_MIN_LENGTH_DYNAMIC

    static final String VALUE_MIN_LENGTH_DYNAMIC
    See Also:
      - `minLengthDynamic` extended JSON value
      - Constant Field Values

  - ### VALUE_PATTERN

    static final String VALUE_PATTERN
    See Also:
      - `pattern` extended JSON value
      - Constant Field Values

  - ### VALUE_TOTAL_DIGITS

    static final String VALUE_TOTAL_DIGITS
    See Also:
      - `totalDigits` extended JSON value
      - Constant Field Values